function onBegin()
    disableMovement()
    setFlag("Start-pow", false)
    waitUntilOnGround()
    coroutine.yield(celeste.CutsceneEntity.CameraTo(vector2(-600, 30), 1))
    walk(130)
    say("aletris_esoterica_start")
    wait(1)
    setFlag("Start-pow", true)
    playSound("event:/game/07_summit/gem_unlock_complete")
    wait(0.5)
    playSound("event:/game/07_summit/gem_unlock_2")
    wait(0.85)
    shake(1)
    player.DummyAutoAnimate = false
    walk(-32, true, 3)
    player.Sprite:Play("sitDown")
    wait(0.1)
    setFlag("Start-pow", false)
    wait(3)
    say("aletris_esoterica_start2")
    coroutine.yield(celeste.CutsceneEntity.CameraTo(vector2(24, 30), 3))
    player.DummyAutoAnimate = true
    teleportTo(131,159)
    shake(1)
    wait(1)
    say("aletris_esoterica_start3")
    playSound("event:/game/01_forsaken_city/birdbros_finish")
    say("aletris_esoterica_start4")
end

function onEnd(room, wasSkipped)
    enableMovement()
    if wasSkipped then
        teleportTo(306,156)
    end
    getLevel():ResetZoom()
end